Package: org.codehaus.groovy.grails.web.converters.configuration

## [Java] Class ObjectMarshallerRegisterer

- org.codehaus.groovy.grails.web.converters.configuration.ObjectMarshallerRegisterer

- A Spring Bean that can be used to register an ObjectMarshaller.

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Class<? extends Converter>` | `getConverterClass()`
    `ObjectMarshaller` | `getMarshaller()`
    `int` | `getPriority()`
    `void` | `setConverterClass(java.lang.Class<? extends Converter> converterClass)`
    `void` | `setMarshaller(ObjectMarshaller marshaller)`
    `void` | `setPriority(int priority)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.Class<? extends Converter> getConverterClass()

    - #### public ObjectMarshaller getMarshaller()

    - #### public int getPriority()

    - #### public void setConverterClass(java.lang.Class<? extends Converter> converterClass)

    - #### public void setMarshaller(ObjectMarshaller marshaller)

    - #### public void setPriority(int priority)